import React, { PureComponent } from 'react';
import './example-main5-edit-view.less';
import Main5form from '../../../forms/example/main5/main5';

/**
 * ExampleMain5EditView
 *
 * @export
 * @class ExampleMain5EditView
 * @extends {PureComponent}
 */
export default class ExampleMain5EditView extends PureComponent {

    public formData = {
        "bookname":"test1",
        "input":"文本test",
        "label":"标签test",
        "group1":"书籍基本信息test",
        "formpage1":"基本信息test",
        "createman":"建立人test",
        "createdate":"建立时间test",
        "updateman":"更新人test",
        "updatedate":"更新时间test",
        "group2":"操作信息test",
        "formpage2":"其它test"
    }

    /**
     * 绘制内容
     *
     * @returns
     * @memberof ExampleMain5EditView
     */
    public render() {
        return <>
            <div>
                <Main5form  data={{}}  formItemChange={(value:any) =>{this.formItemChange(value)}}></Main5form>
            </div>
        </>;
    }

    /**
     * 表单项变化
     * @param value 
     */
    public formItemChange(value:any){
        console.log(value);
    }

}